/* screen - menu */

.menu {
  align-items: flex-start;
  border: 1px none;
  display: flex;
  width: 390px;
}

#overlay-menu {
  align-items: center;
  background-color: #ffffff00;
  justify-content: center;
}

.menu .menu-1 {
  /* margin-top: -40%; */
  background-color: var(--white);
  gap: 32px;
  height: 770px;
  padding: 18px 21px;
  width: 390px;
  position: fixed;
  top: 8px;
}

.menu .flex-col {
  align-items: flex-start;
  display: flex;
  flex-direction: column;
  gap: 50px;
  min-height: 978px;
  width: 285px;
}

.menu .logo {
  height: 45px;
  object-fit: cover;
  width: 93px;
}

.menu .naavigation-panel {
  align-items: center;
  align-self: flex-end;
  display: flex;
  flex-direction: column;
  gap: 32px;
  justify-content: center;
  position: relative;
  width: fit-content;
}

.menu .all-buttons {
  align-items: center;
  display: flex;
  flex-direction: column;
  gap: 32px;
  justify-content: center;
  position: relative;
  width: fit-content;
}

.menu .place {
  color: var(--active-btn);
  cursor: pointer;
  font-family: var(--font-family-roboto);
  font-size: 25.1px;
  font-weight: 600;
  letter-spacing: 0;
  line-height: normal;
  margin-top: -1.39px;
  position: relative;
  width: fit-content;
}

.menu .our-services {
  letter-spacing: 0;
  line-height: normal;
  position: relative;
  width: fit-content;
}

.menu .link {
  cursor: pointer;
  letter-spacing: 0;
  line-height: normal;
  position: relative;
  width: fit-content;
}

.menu .login-signup {
  align-items: flex-start;
  flex-direction: column;
  gap: 22.3px;
  width: fit-content;
}

.menu .login {
  align-items: center;
  background-color: var(--mainsecondcolor);
  border-radius: 5.58px;
  cursor: pointer;
  gap: 13.94px;
  height: 64.11px;
  justify-content: center;
  padding: 13.94px;
  transition: all 0.88s ease-out;
  width: 223px;
}

.menu .login:hover {
  transform: scale(0.9); 
}

.menu .start-now {
  color: var(--white);
  font-family: var(--font-family-roboto);
  font-size: 25.1px;
  font-weight: 500;
  letter-spacing: 0;
  line-height: 50.2px;
  margin-bottom: -5.99px;
  margin-top: -8.77px;
  position: relative;
  text-align: center;
  white-space: nowrap;
  width: fit-content;
}

.menu .sign-up {
  align-items: center;
  border: 2.09px solid;
  border-color: var(--mainsecondcolor);
  border-radius: 5.58px;
  cursor: pointer;
  display: flex;
  gap: 13.94px;
  height: 64.11px;
  justify-content: center;
  padding: 13.94px;
  position: relative;
  width: 223px;
}

.menu .sign-up-1 {
  color: var(--mainsecondcolor);
  font-family: var(--font-family-roboto);
  font-size: 25.1px;
  font-weight: 400;
  letter-spacing: 0;
  line-height: 50.2px;
  margin-bottom: -5.29px;
  margin-top: -9.47px;
  position: relative;
  text-align: center;
  white-space: nowrap;
  width: fit-content;
}

.menu .menu-icon {
  cursor: pointer;
  justify-content: flex-end;
  margin-top: 13px;
  min-width: 19px;
  padding: 0 0.0px;
}

.menu .overlap-group {
  align-items: flex-start;
  background-image: url(../img/line-40-10@2x.png);
  background-size: 100% 100%;
  display: flex;
  margin-top: -1px;
  min-width: 18px;
}

.menu .line-41 {
  height: 18px;
  width: 18px;
}

.menu .login-1 {
  display: flex;
  position: relative;
}

.menu .menu-2 {
  align-items: flex-start;
  display: flex;
}
